# DaprProtos.RenameActorReminderRequest.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.RenameActorReminderRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RenameActorReminderRequest.Builder>
      - - io.dapr.v1.DaprProtos.RenameActorReminderRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.RenameActorReminderRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.RenameActorReminderRequest

    public static final class DaprProtos.RenameActorReminderRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RenameActorReminderRequest.Builder>
    implements DaprProtos.RenameActorReminderRequestOrBuilder

     RenameActorReminderRequest is the message to rename an actor reminder.

Protobuf type `dapr.proto.runtime.v1.RenameActorReminderRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DaprProtos.RenameActorReminderRequest.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.RenameActorReminderRequest` `build()`
`DaprProtos.RenameActorReminderRequest` `buildPartial()`
`DaprProtos.RenameActorReminderRequest.Builder` `clear()`
`DaprProtos.RenameActorReminderRequest.Builder` `clearActorId()` `string actor_id = 2;`
`DaprProtos.RenameActorReminderRequest.Builder` `clearActorType()` `string actor_type = 1;`
`DaprProtos.RenameActorReminderRequest.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.RenameActorReminderRequest.Builder` `clearNewName()` `string new_name = 4;`
`DaprProtos.RenameActorReminderRequest.Builder` `clearOldName()` `string old_name = 3;`
`DaprProtos.RenameActorReminderRequest.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.RenameActorReminderRequest.Builder` `clone()`
`String` `getActorId()` `string actor_id = 2;`
`com.google.protobuf.ByteString` `getActorIdBytes()` `string actor_id = 2;`
`String` `getActorType()` `string actor_type = 1;`
`com.google.protobuf.ByteString` `getActorTypeBytes()` `string actor_type = 1;`
`DaprProtos.RenameActorReminderRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getNewName()` `string new_name = 4;`
`com.google.protobuf.ByteString` `getNewNameBytes()` `string new_name = 4;`
`String` `getOldName()` `string old_name = 3;`
`com.google.protobuf.ByteString` `getOldNameBytes()` `string old_name = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`DaprProtos.RenameActorReminderRequest.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.RenameActorReminderRequest.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.RenameActorReminderRequest.Builder` `mergeFrom​(DaprProtos.RenameActorReminderRequest other)`
`DaprProtos.RenameActorReminderRequest.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.RenameActorReminderRequest.Builder` `setActorId​(String value)` `string actor_id = 2;`
`DaprProtos.RenameActorReminderRequest.Builder` `setActorIdBytes​(com.google.protobuf.ByteString value)` `string actor_id = 2;`
`DaprProtos.RenameActorReminderRequest.Builder` `setActorType​(String value)` `string actor_type = 1;`
`DaprProtos.RenameActorReminderRequest.Builder` `setActorTypeBytes​(com.google.protobuf.ByteString value)` `string actor_type = 1;`
`DaprProtos.RenameActorReminderRequest.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.RenameActorReminderRequest.Builder` `setNewName​(String value)` `string new_name = 4;`
`DaprProtos.RenameActorReminderRequest.Builder` `setNewNameBytes​(com.google.protobuf.ByteString value)` `string new_name = 4;`
`DaprProtos.RenameActorReminderRequest.Builder` `setOldName​(String value)` `string old_name = 3;`
`DaprProtos.RenameActorReminderRequest.Builder` `setOldNameBytes​(com.google.protobuf.ByteString value)` `string old_name = 3;`
`DaprProtos.RenameActorReminderRequest.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.RenameActorReminderRequest.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RenameActorReminderRequest.Builder>`

#### clear

    public DaprProtos.RenameActorReminderRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RenameActorReminderRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RenameActorReminderRequest.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.RenameActorReminderRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.RenameActorReminderRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.RenameActorReminderRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.RenameActorReminderRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RenameActorReminderRequest.Builder>`

#### setField

    public DaprProtos.RenameActorReminderRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                  Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RenameActorReminderRequest.Builder>`

#### clearField

    public DaprProtos.RenameActorReminderRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RenameActorReminderRequest.Builder>`

#### clearOneof

    public DaprProtos.RenameActorReminderRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RenameActorReminderRequest.Builder>`

#### setRepeatedField

    public DaprProtos.RenameActorReminderRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                          int index,
                                                                          Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RenameActorReminderRequest.Builder>`

#### addRepeatedField

    public DaprProtos.RenameActorReminderRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                          Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RenameActorReminderRequest.Builder>`

#### mergeFrom

    public DaprProtos.RenameActorReminderRequest.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.RenameActorReminderRequest.Builder>`

#### mergeFrom

    public DaprProtos.RenameActorReminderRequest.Builder mergeFrom​(DaprProtos.RenameActorReminderRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RenameActorReminderRequest.Builder>`

#### mergeFrom

    public DaprProtos.RenameActorReminderRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                            throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.RenameActorReminderRequest.Builder>`
Throws:
  `IOException`

#### getActorType

    public String getActorType()

`string actor_type = 1;`

Specified by:
  `getActorType` in interface `DaprProtos.RenameActorReminderRequestOrBuilder`
Returns:
  The actorType.

#### getActorTypeBytes

    public com.google.protobuf.ByteString getActorTypeBytes()

`string actor_type = 1;`

Specified by:
  `getActorTypeBytes` in interface `DaprProtos.RenameActorReminderRequestOrBuilder`
Returns:
  The bytes for actorType.

#### setActorType

    public DaprProtos.RenameActorReminderRequest.Builder setActorType​(String value)

`string actor_type = 1;`

Parameters:
  `value` - The actorType to set.
Returns:
  This builder for chaining.

#### clearActorType

    public DaprProtos.RenameActorReminderRequest.Builder clearActorType()

`string actor_type = 1;`

Returns:
  This builder for chaining.

#### setActorTypeBytes

    public DaprProtos.RenameActorReminderRequest.Builder setActorTypeBytes​(com.google.protobuf.ByteString value)

`string actor_type = 1;`

Parameters:
  `value` - The bytes for actorType to set.
Returns:
  This builder for chaining.

#### getActorId

    public String getActorId()

`string actor_id = 2;`

Specified by:
  `getActorId` in interface `DaprProtos.RenameActorReminderRequestOrBuilder`
Returns:
  The actorId.

#### getActorIdBytes

    public com.google.protobuf.ByteString getActorIdBytes()

`string actor_id = 2;`

Specified by:
  `getActorIdBytes` in interface `DaprProtos.RenameActorReminderRequestOrBuilder`
Returns:
  The bytes for actorId.

#### setActorId

    public DaprProtos.RenameActorReminderRequest.Builder setActorId​(String value)

`string actor_id = 2;`

Parameters:
  `value` - The actorId to set.
Returns:
  This builder for chaining.

#### clearActorId

    public DaprProtos.RenameActorReminderRequest.Builder clearActorId()

`string actor_id = 2;`

Returns:
  This builder for chaining.

#### setActorIdBytes

    public DaprProtos.RenameActorReminderRequest.Builder setActorIdBytes​(com.google.protobuf.ByteString value)

`string actor_id = 2;`

Parameters:
  `value` - The bytes for actorId to set.
Returns:
  This builder for chaining.

#### getOldName

    public String getOldName()

`string old_name = 3;`

Specified by:
  `getOldName` in interface `DaprProtos.RenameActorReminderRequestOrBuilder`
Returns:
  The oldName.

#### getOldNameBytes

    public com.google.protobuf.ByteString getOldNameBytes()

`string old_name = 3;`

Specified by:
  `getOldNameBytes` in interface `DaprProtos.RenameActorReminderRequestOrBuilder`
Returns:
  The bytes for oldName.

#### setOldName

    public DaprProtos.RenameActorReminderRequest.Builder setOldName​(String value)

`string old_name = 3;`

Parameters:
  `value` - The oldName to set.
Returns:
  This builder for chaining.

#### clearOldName

    public DaprProtos.RenameActorReminderRequest.Builder clearOldName()

`string old_name = 3;`

Returns:
  This builder for chaining.

#### setOldNameBytes

    public DaprProtos.RenameActorReminderRequest.Builder setOldNameBytes​(com.google.protobuf.ByteString value)

`string old_name = 3;`

Parameters:
  `value` - The bytes for oldName to set.
Returns:
  This builder for chaining.

#### getNewName

    public String getNewName()

`string new_name = 4;`

Specified by:
  `getNewName` in interface `DaprProtos.RenameActorReminderRequestOrBuilder`
Returns:
  The newName.

#### getNewNameBytes

    public com.google.protobuf.ByteString getNewNameBytes()

`string new_name = 4;`

Specified by:
  `getNewNameBytes` in interface `DaprProtos.RenameActorReminderRequestOrBuilder`
Returns:
  The bytes for newName.

#### setNewName

    public DaprProtos.RenameActorReminderRequest.Builder setNewName​(String value)

`string new_name = 4;`

Parameters:
  `value` - The newName to set.
Returns:
  This builder for chaining.

#### clearNewName

    public DaprProtos.RenameActorReminderRequest.Builder clearNewName()

`string new_name = 4;`

Returns:
  This builder for chaining.

#### setNewNameBytes

    public DaprProtos.RenameActorReminderRequest.Builder setNewNameBytes​(com.google.protobuf.ByteString value)

`string new_name = 4;`

Parameters:
  `value` - The bytes for newName to set.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final DaprProtos.RenameActorReminderRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RenameActorReminderRequest.Builder>`

#### mergeUnknownFields

    public final DaprProtos.RenameActorReminderRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RenameActorReminderRequest.Builder>`